/* ECE271 Spring 2022 Lab1 Code template */
#include <stdint.h>

#include "stm32l476xx.h"

void System_Clock_Init(void) {

	/* Enable the high-speed system clock */
	/* You probably shouldn't touch this */
	RCC->CR |= ((uint32_t)RCC_CR_HSION);

	while((RCC->CR & (uint32_t) RCC_CR_HSIRDY)==0) ;

	RCC->CFGR&=(uint32_t)((uint32_t)~(RCC_CFGR_SW));
	RCC->CFGR|=(uint32_t)RCC_CFGR_SW_HSI;

	while ((RCC->CFGR & (uint32_t)RCC_CFGR_SWS)==0) ;
}

int main(void){

	/* Initialize the system clock */
	System_Clock_Init();

	/* Your code goes here */

	return 0;
}
